.copy_to_clipboard
  display: inline-flex
  background: #fafafa
  border-radius: 5px
  overflow: hidden
  margin-top: 1em
  transition: .15s ease-in-out

.button.ui.copy_to_clipboard__button
  position: relative
  background: transparent
  overflow: hidden
  height: 42px
  margin: 0

.copy_to_clipboard__label
  display: inline-block
  height: 42px
  line-height: 280%
  padding: 0 .75rem
  background: transparent
  border-radius: 5px 0 0 5px

.ui[class*="right labeled"].icon.button.copy_to_clipboard__button
  padding-right: 3.4rem !important
  padding-left: .75rem !important
  border-radius: 0 5px 5px 0

.copy_to_clipboard__success
  position: absolute
  top: 0
  left: 0
  bottom: 0
  right: 42px
  opacity: 0
  display: inline-block
  line-height: 42px
  transition: .15s ease-in-out

.copy_to_clipboard--copied
  background: lighten($color-blue, 43%)
  .copy_to_clipboard__success
    background: lighten($color-blue, 43%)
    opacity: 1

